/*
 *  linux/arch/arm/mm/mm-23c2400.c
 *
 *  Copyright (C) 1998-1999 Russell King
 *  Copyright (C) 2002 Gary Jennejohn (gj@denx.de)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *  Extra MM routines for S3C2400 architecture
 */
#include <linux/config.h>
#include <linux/types.h>
#include <linux/init.h>

#include <asm/hardware.h>
#include <asm/page.h>
#include <asm/proc/domain.h>
#include <asm/setup.h>

#include <asm/mach/map.h>

/* lifted from the Samsung code */
static struct map_desc s3c2400_io_desc[] __initdata = {
 /* special function register (AHB) in s3c2400 */
 { 0xf4000000, 0x14000000, 0x01000000, DOMAIN_IO, 0, 1, 0, 0 },
 /* special function register (APB) */
 { 0xf5000000, 0x15000000, 0x01000000, DOMAIN_IO, 0, 1, 0, 0 },
#ifdef CONFIG_TRAB
 /* CPLD */
 { 0xe4000000, 0x04000000, 0x00030000, DOMAIN_IO, 0, 1, 0, 0 },
#endif
 /*
  * bank3, nGCS3, SROM (32MB), 0x0600 0000 is memory map,
  * 0x0700 0000 is for IO map, especially we access the address of
  * 0x0700 0300 -> ethernet area by chc
  */
 { 0xe6000000, 0x06000000, 0x02000000, DOMAIN_IO, 0, 1, 0, 0 },
 /* this might lead to a warning - XXX */
 /* AMD NOR flash bank 0, 8MB (1MB)*/
 { 0xd0000000, 0x00000000, 0x00800000, DOMAIN_IO, 1, 0, 0, 0 },
 /* INTEL Strata NOR flash bank 1, 32MB(16MB) */
 { 0xd0800000, 0x02000000, 0x02000000, DOMAIN_IO, 1, 0, 0, 0 },
 LAST_DESC
};

void __init s3c2400_map_io(void)
{
	iotable_init(s3c2400_io_desc);
}
