/*
 * linux/include/asm-arm/arch-s3c2400/irqs.h
 *
 * Copyright (C) 1996 Russell King
 * Copyright (C) 1998 Deborah Wallach (updates for SA1100/Brutus).
 * Copyright (C) 2001 HyukChin Chang (updates for S3C2400)
 */

#define NR_IRQS                 32
/* added by chc, for S3C2400 */
#define IRQ_EINT0		0	/* External interrupt 0		*/
#define IRQ_EINT1		1	/* External interrupt 1		*/
#define IRQ_EINT2		2	/* External interrupt 2		*/
#define IRQ_EINT3		3	/* External interrupt 3		*/
#define IRQ_EINT4		4	/* External interrupt 4		*/
#define IRQ_EINT5		5	/* External interrupt 5		*/
#define IRQ_EINT6		6	/* External interrupt 6		*/
#define IRQ_EINT7		7	/* External interrupt 7		*/
#define IRQ_TICK		8	/* RTC time tick interrupt	*/
#define IRQ_WDT			9	/* Watch-Dog timer interrupt	*/
#define IRQ_TIMER0		10	/* Timer 0 interrupt		*/
#define IRQ_TIMER1		11	/* Timer 1 interrupt		*/
#define IRQ_TIMER2		12	/* Timer 2 interrupt		*/
#define IRQ_TIMER3		13	/* Timer 3 interrupt		*/
#define IRQ_TIMER4		14	/* Timer 4 interrupt		*/
#define IRQ_UERR01		15	/* UART 0/1 interrupt		*/
#define IRQ_RESERVED		16	/* reserved for future use	*/
#define IRQ_DMA0		17	/* DMA channel 0 interrupt	*/
#define IRQ_DMA1		18	/* DMA channel 1 interrupt	*/
#define IRQ_DMA2		19	/* DMA channel 2 interrupt	*/
#define IRQ_DMA3		20	/* DMA channel 3 interrupt	*/
#define IRQ_MMC			21	/* MMC interrupt		*/
#define IRQ_SPI			22	/* SPI interrupt		*/
#define IRQ_URXD0		23	/* UART0 receive interrupt 	*/
#define IRQ_URXD1		24	/* UART1 receive interrupt	*/
#define IRQ_USBD		25	/* USB device interrupt		*/
#define IRQ_USBH		26	/* USB host interrupt		*/
#define IRQ_IIC			27	/* IIC interrupt		*/
#define IRQ_UTXD0		28	/* UART0 transmit interrupt	*/
#define IRQ_UTXD1		29	/* UART1 transmit interrupt	*/
#define IRQ_RTC			30	/* RTC alarm interrupt		*/
#define IRQ_ADC			31	/* ADC EOC interrupt		*/

