/*
 * include/asm/arch/serial_reg.h
 *
 * Redistribution of this file is permitted under the terms of the GNU 
 * Public License (GPL)
 * 
 * These are the SA1100 UART port assignments, expressed as long index 
 * of the base address.
 */

#ifndef ASM_ARCH_SERIAL_REG_H
#define ASM_ARCH_SERIAL_REG_H

/* added by chc for UART */
/* used by drivers/char/serial_s3c2400.c as an index - GJ */
#define ULCON0		0	/* 0x00 UART line control register */
#define UCON0		1	/* 0x04 UART control register */
#define UFCON0		2	/* 0x08 UART FIFO control register */
#define UMCON0		3	/* 0x0c UART modem control register */
#define UTRSTAT0	4	/* 0x10 UART Tx/Rx status register */
#define UERSTAT0	5	/* 0x14 UART Rx error status register */
#define UFSTAT0		6	/* 0x18 UART FIFO status register */
#define UMSTAT0		7	/* 0x1c UART modem status register */
#define UTXH0		8	/* 0x20 UART transmit buffer register */
#define URXH0		9	/* 0x24 UART receive buffer register */
#define UBRDIV0		10	/* 0x28 Baud rate divisor register 0 */
/* end of addition by chc for UART */


#endif /* ASM_ARCH_SERIAL_REG_H */

