/*
 * linux/include/asm-arm/arch-s3c2400/system.h
 *
 * Copyright (c) 1998 Nicolas Pitre <nico@visuaide.com>
 * Copyright (c) 2001 HyukChin Chang
 *
 */

#ifndef __ASM_ARCH_SYSTEM_H
#define __ASM_ARCH_SYSTEM_H

#include <asm/arch/hardware.h>

static inline void arch_idle(void)
{
	if (!hlt_counter) {
		int flags;
		local_irq_save(flags);
		if (!current->need_resched)
			cpu_do_idle(0);
		local_irq_restore(flags);
	}
}

static inline void arch_reset (char mode)
{
	/* Disable interrupts
	 */
	cli ();

#ifdef CONFIG_TRAB_VFD
	/* Disable VFD: disable VM, enable pull-up
	 */
	rPDCON &= ~0xC;
	rPDUP  &= ~0x2;
#endif

	/* Disable watchdog
	 */
	rWTCON = 0;

	/* Initialize watchdog timer count register
	 */
	rWTCNT = 1;

	/* Enable watchdog timer; assert reset at timer timeout
	 */
	rWTCON = 0x0021;
}

#endif /* __ASM_ARCH_SYSTEM_H */
